# Uses of Class
org.springframework.web.server.adapter.ForwardedHeaderTransformer

Packages that use ForwardedHeaderTransformer
Package
Description
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.

## Uses of ForwardedHeaderTransformer in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return ForwardedHeaderTransformer
Modifier and Type
Method
Description
`ForwardedHeaderTransformer`
HttpWebHandlerAdapter.`getForwardedHeaderTransformer()`
Return the configured `ForwardedHeaderTransformer`.
Methods in org.springframework.web.server.adapter with parameters of type ForwardedHeaderTransformer
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`forwardedHeaderTransformer(ForwardedHeaderTransformer transformer)`
Configure the `ForwardedHeaderTransformer` for extracting and/or removing forwarded headers.
`void`
HttpWebHandlerAdapter.`setForwardedHeaderTransformer(ForwardedHeaderTransformer transformer)`
Enable processing of forwarded headers, either extracting and removing, or remove only.